Skip to end of metadata
Go to start of metadata

Proper functioning of the Web-client requires components, which are external in relation to web-browser software. This is due to the encryption of the transferred data and it's signing with digital signature. For the application to operate the client workstation should have the following software:

With ActiveX (recommended)

  1. Internet Explorer
  2.  install the ActiveX plugin
  3. .NET Framework 4.5
  4. install the Certificates storage

With Java

More details are given below (Fig. 1). Table 1 lists the minimum computer requirements to run the Web-client successfully.

Table 1 – Technical requirements

Type of requirementsParameter value
Operating systems

Windows version 7.0 and higher
Performance on Windows XP cannot be guaranteed due to the restrictions on the use of the TLS-tunnel

Compatible browsers

Internet Explorer version 9.0 and above. Version 8.0 is not currently supported officially, the system is being tested
Firefox version 20.0 and higher
Google Chrome version 20.0 and tthe version 42.0. Java applet is not enabled in the Chrome web browser version 42.0

JavaJava version 1.7 and higher

Software is interconnected (in general and not only with the Web-client) with CSP indirectly through API provided by the Certificate storage that is also used to manage user certificates inlcluding their placing in the systemic certificate storage. To ensure interconnection as described above a user should take the following actions depending on the CSP before launching the Web-client. 

If non-qualified certificates (RSA) used:

If qualified certificates (GOST) used:

The software can be downloaded via the links above or obtained at the office of the Moscow Exchange. 

Software installation, RSA

  • No labels